## icu 60.2

=== source/samples/case/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html#License
#
# Copyright (c) 2003 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

#### definitions
# Name of your target
TARGET=case

# All object files (C or C++)
OBJECTS=case.o ucase.o

#### rules
# Load in standard makefile definitions
include ../defs.mk

LDFLAGS += $(LDFLAGS_USTDIO)

# the actual rules (this is a simple sample)
include ../rules.mk

=== source/samples/coll/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html#License
#
# Copyright (c) 2000-2002 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

#### definitions
# Name of your target
TARGET=coll

# All object files (C or C++)
OBJECTS=coll.o

#### rules
# Load in standard makefile definitions
include ../defs.mk

# the actual rules (this is a simple sample)
include ../rules.mk

=== debian/changelog ===
icu (60.2-3ubuntu3) bionic; urgency=medium

  * Correct Breaks for openttd.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Mar 2018 19:42:43 +0000

icu (60.2-3ubuntu2) bionic; urgency=medium

  * Split Layout Engine shared library into a separate package, due to
    heavy dependencies, and breaking circular dependency.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 21 Mar 2018 13:25:27 +0000

icu (60.2-3ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - libicu-dev: Ship the icu-config binary again and remove M-A: same.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Jan 2018 04:54:19 +0100

icu (60.2-3) experimental; urgency=medium

  * Don't distclean in parallel (closes: #884898).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Dec 2017 08:49:27 +0000

icu (60.2-2) experimental; urgency=medium

  * Backport Calendar buffer overrun compatibility fix.
  * Remove outdated patches.
  * Update debhelper level to 11 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 18 Dec 2017 19:32:35 +0000

icu (60.2-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - libicu-dev: Ship the icu-config binary again and remove M-A: same.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Dec 2017 10:04:10 +0100

icu (60.2-1) experimental; urgency=high

  * New upstream release.
  * Build with ICU Layout Engine API (closes: #879820):
    - add libicu-le-hb-dev build dependency,
    - add libicu-le-hb-dev dependency to libicu-dev package,
    - update layout extension tests,
    - add libiculx to shlibs.
  * Remove icu-config manpage.
  * Backport fix for UTF-8->UTF-8 conversion overflow.
  * Update Standards-Version to 4.1.2 .

  [ Matthias Klose <doko@ubuntu.com> ]
  * Revert the upstream fix for #13104, requiring C++11 for some header files.
    The archive still has packages not ready for C++11, e.g. firebird3.0.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Dec 2017 16:20:17 +0000

icu (60.1-1ubuntu2) bionic; urgency=medium

  * Revert the upstream fix for #13104, requiring C++11 for some header files.
    The archive still has packages not ready for C++11, e.g. firebird3.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Nov 2017 11:34:56 +0100

icu (60.1-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - libicu-dev: Ship the icu-config binary again and remove M-A: same.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:13:11 +0100

icu (60.1-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 01 Nov 2017 18:22:48 +0000

icu (59.1-3ubuntu1) bionic; urgency=medium

  * libicu-dev: Ship the icu-config binary again and remove M-A: same.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 09:46:04 +0200

icu (59.1-3) experimental; urgency=medium

  * Refresh packaging:
    - drop outdated -dbg packages,
    - drop outdated NEWS file,
    - build with all hardening.
  * Fix spelling errors in upstream binaries and manpages.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Fix build with glibc-2.26 (closes: #879233).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 19 Oct 2017 21:50:55 +0000

icu (59.1-2) experimental; urgency=high

  * Backport upstream security fix for CVE-2017-14952: double free in
    createMetazoneMappings() .
  * Disable self-test failure on x86 architectures due to French locale
    problems.
  * Make libicu59-dbg package 'Multi-Arch: same'.
  * Update Standards-Version to 4.1.1:
    - change libicu59-dbg priority to optional,
    - change icu-devtools-dbg priority to optional.
  * Update debhelper level to 10:
    - remove autotools-dev build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Oct 2017 21:12:22 +0000

icu (59.1-1) experimental; urgency=low

  * New major upstream release.
  * Remove icu-config from libicu-dev :
    - make the package 'Multi-Arch: same' again (closes: #837898).
  * Don't fail on i386 self-tests, known problem.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 12 May 2017 15:34:54 +0000

icu (58.2-1) experimental; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 11 Dec 2016 14:02:13 +0000

icu (58.1-1) experimental; urgency=low

  * New major upstream release.
  * Drop old patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Oct 2016 11:08:24 +0200

=== debian/control ===
Source: icu
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 4.1.2
Build-Depends: debhelper (>= 11), pkg-config, libicu-le-hb-dev
Build-Depends-Indep: doxygen (>= 1.7.1)
Build-Conflicts: clang
Homepage: http://www.icu-project.org

Package: libicu60
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: openttd (<= 1.7.1-1)
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

Package: libiculx60
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libicu60 (<< 60.2-3ubuntu2~)
Replaces: libicu60 (<< 60.2-3ubuntu2~)
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.
 .
 This package contains the layout engine

Package: libicu-dev
Section: libdevel
Architecture: any
#Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libicu60 (= ${binary:Version}), libiculx60 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libicu-le-hb-dev, libc6-dev | libc-dev, libstdc++-6-dev | libstdc++-dev
Replaces: icu-devtools (<< 60.1-1~)
Breaks: icu-devtools (<< 60.1-1~)
Suggests: icu-doc
Description: Development files for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU.

Package: icu-devtools
Section: libdevel
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 60.1-1~)
Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 60.1-1~)
Description: Development utilities for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support. This package contains programs used to
 manipulate data files found in the ICU sources and is a dependency of
 libicu-dev.  End users would generally not need to install this package.

Package: icu-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: API documentation for ICU classes and functions
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains HTML files
 documenting the ICU APIs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

l_SONAME=60

override_dh_auto_clean:
	dh_auto_clean --no-parallel

override_dh_clean:
	dh_clean
	find $(CURDIR)/source/ \( -name Makefile -o -name pkgdataMakefile \) \
		-exec rm {} \;
	rm -Rf build-native

override_dh_auto_configure:
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dh_auto_configure -- --enable-static
else
	dh_auto_configure -B $(CURDIR)/build-native -- --host=$(DEB_BUILD_GNU_TYPE)
	dh_auto_build -B $(CURDIR)/build-native
	dh_auto_configure -- --enable-static --with-cross-build=$(CURDIR)/build-native
endif

override_dh_auto_build:
	dh_auto_build --parallel
	$(MAKE) -C $(CURDIR)/source/ doc

override_dh_auto_test:
ifeq (,$(findstring $(DEB_BUILD_ARCH),i386 hurd-i386 kfreebsd-i386))
	dh_auto_test
else
	# French locale has test problems on x86 architectures
	-dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C $(CURDIR)/source/ install-doc DESTDIR=$(CURDIR)/debian/tmp/
	# delete extra license file
	rm $(CURDIR)/debian/tmp/usr/share/icu/$(l_SONAME).?/LICENSE
	# remove not needed manpage
	rm $(CURDIR)/debian/tmp/usr/share/man/man1/icu-config.1

override_dh_installdocs-indep:
	dh_installdocs -i
	# symlink duplicated files
	for file in `find debian/icu-doc/usr/share/doc/icu-doc/html/ -name \*icu_1_1\*`; do \
		normal=`echo $$file | sed s/icu_1_1//`; \
		if [ -f $$normal ]; then \
			rm $$file; \
			ln -s `basename $$normal` $$file; \
		fi; \
	done

%:
	dh $@ --sourcedirectory=$(CURDIR)/source/ --parallel

.PHONY: override_dh_auto_clean override_dh_clean override_dh_auto_configure \
	override_dh_auto_build override_dh_auto_test \
	override_dh_auto_install override_dh_installdocs-indep

=== debian/tests/control ===
Tests: smoke
Depends: @
Restrictions: allow-stderr

Tests: build-test
Depends: libicu-dev, pkg-config
Restrictions: allow-stderr

## icu 63.1

=== source/samples/msgfmt/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html#License
#
# Copyright (c) 2000-2002 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

#### definitions
# Name of your target
TARGET=msgfmt

# All object files (C or C++)
OBJECTS=main.o util.o

#### rules
# Load in standard makefile definitions
include ../defs.mk

# the actual rules (this is a simple sample)
include ../rules.mk

=== source/samples/numfmt/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html#License
#
# Copyright (c) 2000-2002 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

#### definitions
# Name of your target
TARGET=numfmt

# All object files (C or C++)
OBJECTS=main.o util.o capi.o

#### rules
# Load in standard makefile definitions
include ../defs.mk

# the actual rules (this is a simple sample)
include ../rules.mk

=== debian/changelog ===
icu (63.1-6~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 16 Feb 2019 08:51:48 -0800

icu (63.1-6) unstable; urgency=medium

  * Build without icu-config (closes: #898820).
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 23 Jan 2019 16:51:20 +0000

icu (63.1-5) unstable; urgency=medium

  * Build without Paragraph Layout API.
  * Remove libiculx63 package, no longer needed (closes: #898571).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Dec 2018 10:31:22 +0000

icu (63.1-4) unstable; urgency=medium

  * Build with Paragraph Layout API.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 13 Nov 2018 05:48:13 +0000

icu (63.1-3) unstable; urgency=high

  * Backport fix for ICU-20246: fixing another integer overflow in number
    parsing - fixes CVE-2018-18928 .
  * Backport fix for ICU-20208: uspoof.cpp function checkImpl() should be
    static, regenerate urename.h .
  * Build without Paragraph Layout API.
  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 07 Nov 2018 18:15:15 +0000

icu (63.1-2) experimental; urgency=medium

  * Build with Paragraph Layout API.
  * Link with the -Wl,--as-needed flag.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 31 Oct 2018 18:39:52 +0000

icu (63.1-1) experimental; urgency=medium

  * New major upstream release.
  * Build without Paragraph Layout API.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 17 Oct 2018 16:44:27 +0000

icu (62.1-2) experimental; urgency=medium

  * Build with Paragraph Layout API.
  * Add break for OpenTTD.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Split Layout Engine shared library into a separate package, due to
    heavy dependencies, and breaking circular dependency
    (closes: #893801, #898571, #898806).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 29 Sep 2018 16:45:41 +0000

icu (62.1-1) experimental; urgency=medium

  * New major upstream release (closes: #907748).
  * Update Standards-Version to 4.2.1 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Build the native pass without libicu-le-hb-dev
    (closes: #906906).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 04 Sep 2018 20:49:13 +0000

icu (60.2-6) unstable; urgency=medium

  * Build with Paragraph Layout API.
  * Don't break OpenTTD anymore.
  * Remove multiarch of libicu-dev due to icu-config installed
    (closes: #898331).
  * Remove libstdc++-6-dev dependency on libicu-dev (closes: #892598).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 10 May 2018 15:14:59 +0000

icu (60.2-5) unstable; urgency=medium

  * Upload to Sid.
  * Break OpenTTD as this build is without Paragraph Layout API.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 09 May 2018 04:31:49 +0000

icu (60.2-4) experimental; urgency=medium

  * Install icu-config again.
  * Don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Apr 2018 16:45:42 +0000

=== debian/control ===
Source: icu
Section: libs
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 11), pkg-config
Build-Depends-Indep: doxygen (>= 1.7.1)
Build-Conflicts: clang
Homepage: http://www.icu-project.org

Package: libicu63
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: openttd (<< 1.8.0-2~), libiculx63 (<< 63.1-5)
Replaces: libiculx63 (<< 63.1-5)
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

#Package: libiculx63
#Multi-Arch: same
#Architecture: any
#Pre-Depends: ${misc:Pre-Depends}
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Description: International Components for Unicode
# ICU is a C++ and C library that provides robust and full-featured
# Unicode and locale support.  This package contains the runtime
# libraries for ICU.
# .
# This package contains the layout engine.
#
Package: libicu-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libicu63 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
Replaces: icu-devtools (<< 63.1-1~)
Breaks: icu-devtools (<< 63.1-1~)
Suggests: icu-doc
Description: Development files for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU.

Package: icu-devtools
Section: libdevel
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 63.1-1~)
Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 63.1-1~)
Description: Development utilities for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support. This package contains programs used to
 manipulate data files found in the ICU sources and is a dependency of
 libicu-dev.  End users would generally not need to install this package.

Package: icu-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: API documentation for ICU classes and functions
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains HTML files
 documenting the ICU APIs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

l_SONAME=63

override_dh_auto_clean:
	dh_auto_clean --no-parallel

override_dh_clean:
	dh_clean
	find $(CURDIR)/source/ \( -name Makefile -o -name pkgdataMakefile \) \
		-exec rm {} \;
	rm -Rf build-native

override_dh_auto_configure:
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dh_auto_configure -- --enable-static --disable-layoutex --disable-icu-config
else
	dh_auto_configure -B $(CURDIR)/build-native -- --host=$(DEB_BUILD_GNU_TYPE) --disable-layoutex --disable-icu-config
	dh_auto_build -B $(CURDIR)/build-native
	dh_auto_configure -- --enable-static --with-cross-build=$(CURDIR)/build-native
endif

override_dh_auto_build:
	dh_auto_build --parallel -- VERBOSE=1
	dh_auto_build --parallel -- VERBOSE=1 doc

override_dh_auto_test:
ifeq (,$(findstring $(DEB_BUILD_ARCH),i386 hurd-i386 kfreebsd-i386))
	dh_auto_test
else
	# French locale has test problems on x86 architectures
	-dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C $(CURDIR)/source/ install-doc DESTDIR=$(CURDIR)/debian/tmp/
	# delete extra license file
	$(RM) $(CURDIR)/debian/tmp/usr/share/icu/$(l_SONAME).?/LICENSE
	# remove not needed manpage
#	$(RM) $(CURDIR)/debian/tmp/usr/share/man/man1/icu-config.1

override_dh_installdocs-indep:
	dh_installdocs -i
	# symlink duplicated files
	for file in `find debian/icu-doc/usr/share/doc/icu-doc/html/ -name \*icu_1_1\*`; do \
		normal=`echo $$file | sed s/icu_1_1//`; \
		if [ -f $$normal ]; then \
			$(RM) $$file; \
			ln -s `basename $$normal` $$file; \
		fi; \
	done

override_dh_missing:
	dh_missing --list-missing

%:
	dh $@ --sourcedirectory=$(CURDIR)/source/

.PHONY: override_dh_auto_clean override_dh_clean override_dh_auto_configure \
	override_dh_auto_build override_dh_auto_test \
	override_dh_auto_install override_dh_installdocs-indep \
	override_dh_missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## icu 63.1.2+dde

=== debian/changelog ===
icu (63.1.2+dde) unstable; urgency=medium

  * update

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 14 Dec 2021 14:42:20 +0800

icu (63.1.1-1+dde) buster-security; urgency=high

  * recognize loongarch64 architecture.

 -- Wang Xiangyu <wangxiangyu@uniontech.com>  Fri, 17 Sep 2021 08:59:33 +0000

icu (63.1-6+deb10u1) buster-security; urgency=high

  * Backport upstream security fix for CVE-2020-10531: SEGV_MAPERR in
    UnicodeString::doAppend() (closes: #953747).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 13 Mar 2020 18:49:33 +0000

## icu 63.2

=== debian/changelog ===
icu (63.2-2ubuntu0.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Integer Overflow
    - debian/patches/CVE-2020-10531.patch: adds a int32_t overflow
      check when calculate a newLen in doReplace function in
      source/common/unistr.cpp and adding test to
      source/test/intltest/ustrtest.*.
    - CVE-2020-10531

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 16 Mar 2020 16:35:57 -0300

icu (63.2-2) unstable; urgency=medium

  * Revert ICU-20250 (ICU 63 UnicodeSet startup performance regression) to
    fix ABI break (closes: #929474).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Jun 2019 21:46:51 +0000

icu (63.2-1) experimental; urgency=medium

  * New upstream release with Japanese new era "Reiwa" support
    (closes: #927933).
  * Drop backported ICU-20246 and ICU-20208 fixes as no longer needed.
  * Break Chromium versions that not built with this ICU release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Apr 2019 06:44:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: icu
 Section: libs
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 11), pkg-config
@@ -39,8 +39,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, libicu63 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
-Replaces: icu-devtools (<< 63.1-1~)
-Breaks: icu-devtools (<< 63.1-1~)
+Replaces: icu-devtools (<< 63.2-1~)
+Breaks: icu-devtools (<< 63.2-1~)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -53,8 +53,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 63.1-1~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 63.1-1~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 63.2-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 63.2-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to

## icu 65.1

=== debian/changelog ===
icu (65.1-1ubuntu2) focal; urgency=medium

  * Remove the ppc64el work-around, no changes left.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Feb 2020 08:59:05 +0100

icu (65.1-1ubuntu1) focal; urgency=medium

  * Build using -O2 on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 20:36:28 +0100

icu (65.1-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 04 Oct 2019 00:19:19 +0000

icu (65.1~rc-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * ICU time zone data update for 2019c.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 17 Sep 2019 16:51:06 +0000

icu (64.2-4) experimental; urgency=medium

  * Fix big-endian FTBFS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 Sep 2019 20:23:08 +0000

icu (64.2-3) experimental; urgency=medium

  * Backport upstream fixes:
    - ICU-20558 fix regression in DateTimePatternGenerator,
    - ICU-20575 fix broken default locale mapping for C.UTF-8 .
  * Disable flaky self-tests to fix FTBFS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 26 Aug 2019 18:23:05 +0000

icu (64.2-2) experimental; urgency=medium

  * Fix build dependencies.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 07 Aug 2019 15:19:46 +0000

icu (64.2-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 26 Jul 2019 19:01:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: icu
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 11), pkg-config
+Build-Depends: debhelper (>= 11), pkg-config, python3-distutils
 Build-Depends-Indep: doxygen (>= 1.7.1)
 Build-Conflicts: clang
 Homepage: http://www.icu-project.org
 
-Package: libicu63
+Package: libicu65
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -38,9 +37,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libicu63 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
-Replaces: icu-devtools (<< 63.2-1~)
-Breaks: icu-devtools (<< 63.2-1~)
+Depends: ${misc:Depends}, libicu65 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
+Replaces: icu-devtools (<< 65.1-1~)
+Breaks: icu-devtools (<< 65.1-1~)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -53,8 +52,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 63.2-1~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 63.2-1~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 65.1-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 65.1-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-l_SONAME=63
+l_SONAME=65
 
 override_dh_auto_clean:
 	dh_auto_clean --no-parallel
@@ -72,7 +72,3 @@
 	override_dh_auto_build override_dh_auto_test \
 	override_dh_auto_install override_dh_installdocs-indep \
 	override_dh_missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-

## icu 66.1

=== debian/changelog ===
icu (66.1-2ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: Double Free
    - debian/patches/CVE-2021-30535-prereq.patch: Fix invalid free when
      using long locale name in Locale functions in
      source/common/locid.cpp.
    - debian/patches/CVE-2021-30535.patch: Fix edge cases with baseName
      in setKeywordValue function in source/common/locid.cpp to
      prevent double free and protect from heap corruption.
    - CVE-2021-30535
  * Fix failing tests causing build-time failures: (LP: #1951432)
    - debian/patches/tzdata-2020f-tztest.patch: Add Time Zones data
      related to tzdata version 2020f in TestCanonicalID function in
      source/test/intltest/tztest.cpp to prevent tests from failing.
    - debian/patches/tzdata-2021b-tests.patch: Fix TestCalendar function
      in source/test/cintltst/ccaltst.c and TestGenericAPI in
      source/test/intltest/tztest.cpp to accept tz.version with longer
      string size to prevent tests from failing.
    - debian/patches/skip-tztests.patch: Skip specific Time Zones tests in
      TestAliasedNames and TestCanonicalID functions in
      source/test/intltest/tztest.cpp. They don't match with data from
      updated tzdata and needed to be skiped to prevent tests from failing.
  * Fix autopkg tests:
    - debian/tests/control: add libicu-dev and pkg-config dependencies in
      smoke test, and build-essential dependency in build-test.
    - debian/tests/smoke: change smoke test tool from icu-config (deprecated)
      to pkg-config.
    - debian/tests/ustring.cpp: add 'using namespace icu'.

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 23 Nov 2021 11:50:52 -0300

icu (66.1-2ubuntu2) focal; urgency=medium

  * Build with -O2 on ppc64el again.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Mar 2020 09:44:39 +0100

icu (66.1-2ubuntu1) focal; urgency=medium

  * Build with U_TIMEZONE_FILES_DIR defined to update tzdata post-release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 17 Mar 2020 04:52:09 +0000

icu (66.1-2) experimental; urgency=high

  * Backport upstream security fix for CVE-2020-10531: SEGV_MAPERR in
    UnicodeString::doAppend() (closes: #953747).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 13 Mar 2020 00:18:02 +0000

icu (66.1-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 11 Mar 2020 23:46:38 +0000

icu (66.1~rc-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 29 Feb 2020 17:25:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: icu
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 11), pkg-config, python3-distutils
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), pkg-config, python3-distutils
 Build-Depends-Indep: doxygen (>= 1.7.1)
 Build-Conflicts: clang
 Homepage: http://www.icu-project.org
 
-Package: libicu65
+Package: libicu66
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, tzdata (>> 2019c-3ubuntu1~)
 Breaks: openttd (<< 1.8.0-2~), libiculx63 (<< 63.1-5)
 Replaces: libiculx63 (<< 63.1-5)
 Description: International Components for Unicode
@@ -37,9 +38,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libicu65 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
-Replaces: icu-devtools (<< 65.1-1~)
-Breaks: icu-devtools (<< 65.1-1~)
+Depends: ${misc:Depends}, libicu66 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
+Replaces: icu-devtools (<< 66.1-1~)
+Breaks: icu-devtools (<< 66.1-1~)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -52,8 +53,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 65.1-1~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 65.1-1~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 66.1-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 66.1-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,25 @@
 
 include /usr/share/dpkg/architecture.mk
 
+export DEB_CXXFLAGS_MAINT_STRIP = -O3
+export DEB_CFLAGS_MAINT_STRIP = -O3
+export DEB_CXXFLAGS_MAINT_APPEND = -O2
+export DEB_CFLAGS_MAINT_APPEND = -O2
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 DPKG_EXPORT_BUILDFLAGS = 1
+
+ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
+export DEB_CPPFLAGS_MAINT_APPEND = -DU_TIMEZONE_FILES_DIR=/usr/share/zoneinfo-icu/44/le/
+endif
+ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
+export DEB_CPPFLAGS_MAINT_APPEND = -DU_TIMEZONE_FILES_DIR=/usr/share/zoneinfo-icu/44/be/
+endif
+
 include /usr/share/dpkg/buildflags.mk
 
-l_SONAME=65
+l_SONAME=66
 
 override_dh_auto_clean:
 	dh_auto_clean --no-parallel

## icu 67.1

=== source/samples/citer/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html#License
#
# Copyright (c) 2003-2005 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

# Name of your target
TARGET=citer

# All object files (C or C++)
OBJECTS=citer.o

# Load in standard makefile definitions
include ../defs.mk

LDFLAGS += $(LDFLAGS_USTDIO)

# the actual rules (this is a simple sample)
include ../rules.mk

=== source/samples/datefmt/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html#License
#
# Copyright (c) 2000-2002 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

# Name of your target
TARGET=datefmt

# All object files (C or C++)
OBJECTS=main.o util.o

# Load in standard makefile definitions
include ../defs.mk

# the actual rules (this is a simple sample)
include ../rules.mk

=== debian/changelog ===
icu (67.1-7) unstable; urgency=high

  * Backport upstream security fix for CVE-2021-30535: crash caused by locale
    assign/move operators.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 30 Jun 2021 18:07:32 +0200

icu (67.1-6) unstable; urgency=medium

  * Add pkg-config build dependency to build-test of autopkg tests.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Jan 2021 06:45:13 +0100

icu (67.1-5) unstable; urgency=medium

  * Fix autopkg tests (closes: #973279, #976641).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 07 Dec 2020 15:57:21 +0100

icu (67.1-4) unstable; urgency=medium

  * Backport upstream fix for missing empty string checks in
    addLikelySubtags() and minimizeSubtags() (closes: #968609).
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 18 Aug 2020 17:39:36 +0200

icu (67.1-3) unstable; urgency=medium

  * Don't run self-tests parallel until make-dfsg is fixed (closes: #964682).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 15 Jul 2020 06:51:53 +0200

icu (67.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 01 Jun 2020 14:58:12 +0200

icu (67.1-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Apr 2020 09:41:25 +0000

icu (67.1~rc-1) experimental; urgency=medium

  * New major upstream release candidate version.

  [ Dimitri John Ledkov <xnox@ubuntu.com> ]
  * Build with U_TIMEZONE_FILES_DIR defined to update tzdata post-release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 04 Apr 2020 09:49:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: icu
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12), pkg-config, python3-distutils
 Build-Depends-Indep: doxygen (>= 1.7.1)
 Build-Conflicts: clang
 Homepage: http://www.icu-project.org
+Rules-Requires-Root: no
 
-Package: libicu66
+Package: libicu67
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, tzdata (>> 2019c-3ubuntu1~)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: openttd (<< 1.8.0-2~), libiculx63 (<< 63.1-5)
 Replaces: libiculx63 (<< 63.1-5)
 Description: International Components for Unicode
@@ -38,9 +38,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libicu66 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
-Replaces: icu-devtools (<< 66.1-1~)
-Breaks: icu-devtools (<< 66.1-1~)
+Depends: ${misc:Depends}, libicu67 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
+Replaces: icu-devtools (<< 67.1~rc-1~)
+Breaks: icu-devtools (<< 67.1~rc-1~)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -53,8 +53,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 66.1-1~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 66.1-1~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 67.1~rc-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 67.1~rc-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-export DEB_CXXFLAGS_MAINT_STRIP = -O3
-export DEB_CFLAGS_MAINT_STRIP = -O3
-export DEB_CXXFLAGS_MAINT_APPEND = -O2
-export DEB_CFLAGS_MAINT_APPEND = -O2
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 DPKG_EXPORT_BUILDFLAGS = 1
 
 ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
@@ -24,7 +18,7 @@
 
 include /usr/share/dpkg/buildflags.mk
 
-l_SONAME=66
+l_SONAME=67
 
 override_dh_auto_clean:
 	dh_auto_clean --no-parallel
@@ -50,10 +44,10 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring $(DEB_BUILD_ARCH),i386 hurd-i386 kfreebsd-i386))
-	dh_auto_test
+	dh_auto_test --no-parallel
 else
 	# French locale has test problems on x86 architectures
-	-dh_auto_test
+	-dh_auto_test --no-parallel
 endif
 
 override_dh_auto_install:

=== debian/tests/control ===
Tests: smoke
Depends: libicu-dev, pkg-config
Restrictions: allow-stderr

Tests: build-test
Depends: build-essential, libicu-dev, pkg-config
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d+)-(\d)/$1.$2/;s/(\d)[_\.\-\+]?((RC|rc|pre|preview|dev|beta|alpha)\d*)$/$1~$2/ \
https://github.com/unicode-org/icu/tags .*/release-v?(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## icu 70.1

=== source/samples/coll/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2016 and later: Unicode, Inc. and others.
-# License & terms of use: http://www.unicode.org/copyright.html#License
+# License & terms of use: http://www.unicode.org/copyright.html
 #
 # Copyright (c) 2000-2002 IBM, Inc. and others
 # sample code makefile

=== source/samples/uresb/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html
#
# Copyright (c) 2000-2005 IBM, Inc. and others
# conversion sample code
# Usage:
#  - configure, build, install ICU
#  - ensure that 'icu-config' is in the PATH (PREFIX/bin/icu-config) 
#  - if ICU is not built relative to this directory,
#      set the variable ICU_PATH to the 'icu' directory
#       (i.e.  /foo/icu  )
#  - do 'make' in this directory

include ../defs.mk

ICU_DEFAULT_PATH=../../..

ifeq ($(strip $(ICU_PATH)),)
  ICU_PATH=$(ICU_DEFAULT_PATH)
endif

GENRBOPT = -s. -d.

# Name of your target
TARGET=uresb
PKG=$(TARGET)
RES_SRC=root.txt en.txt sr.txt
RESOURCES=$(RES_SRC:%.txt=%.res)

# All object files (C or C++)
OBJECTS=uresb.o

CLEANFILES=*~ $(TARGET).out

all: $(RESOURCES) $(TARGET) 

uresb.o:  $(ICU_PATH)/source/tools/toolutil/uoptions.h

$(ICU_PATH)/source/tools/toolutil/uoptions.h:
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $@ - check ICU_PATH"
	@false

CPPFLAGS += -I$(ICU_PATH)/source/tools/toolutil
LDFLAGS += -L$(ICU_PATH)/source/tools/toolutil $(shell icu-config --ldflags-toolutil --ldflags-icuio)

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET) $(RESOURCES)


## resources
%.res: %.txt
	@echo "generating $@"
	$(GENRB) $(GENRBOPT) $^

## Special for a special codepage
sr.res : sr.txt
	@echo "generating $@"
	$(GENRB) $(GENRBOPT) -e cp1251 $?

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(CC) -o $(TARGET) $(LDFLAGS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET) $(RESOURCES)
	$(INVOKE) ./$(TARGET) en | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

=== debian/changelog ===
icu (70.1-2ubuntu1) jammy; urgency=medium

  * Update timezone canonical IDs to resolve FTBFS (LP: #1976258)

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 08 Jun 2022 15:15:31 -0500

icu (70.1-2) experimental; urgency=medium

  * Backport fix for ucptrietest golden diff.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 04 Nov 2021 07:01:38 +0100

icu (70.1-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 01 Nov 2021 20:45:57 +0100

icu (70.1~rc-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Update homepage location.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 30 Sep 2021 15:09:38 +0200

icu (69.1-2) experimental; urgency=high

  * Backport upstream security fix for CVE-2021-30535: crash caused by locale
    assign/move operators.
  * Backport proposed fix for undefined behaviour in
    ComplexUnitsConverter::applyRounder() .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 06 Jul 2021 17:40:00 +0200

icu (69.1-1) experimental; urgency=medium

  * New major upstream release.
  * Update debhelper level to 13 .
  * Update homepage location.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 11 Apr 2021 11:12:58 +0200

icu (68.2-1) experimental; urgency=medium

  * New upstream release.
  * Fix autopkg tests.
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 17 Dec 2020 23:59:11 +0100

icu (68.1-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Oct 2020 17:29:01 +0100

icu (68.1~rc-1) experimental; urgency=medium

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 10 Oct 2020 09:44:25 +0200

icu (68.1~alpha-1) experimental; urgency=medium

  * New major upstream alpha version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Oct 2020 01:02:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: icu
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12), pkg-config, python3-distutils
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), autoconf-archive, pkg-config,
+ python3-distutils
 Build-Depends-Indep: doxygen (>= 1.7.1)
 Build-Conflicts: clang
-Homepage: http://www.icu-project.org
+Homepage: https://icu.unicode.org/
 Rules-Requires-Root: no
 
-Package: libicu67
+Package: libicu70
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -38,9 +40,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libicu67 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
-Replaces: icu-devtools (<< 67.1~rc-1~)
-Breaks: icu-devtools (<< 67.1~rc-1~)
+Depends: ${misc:Depends}, libicu70 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
+Replaces: icu-devtools (<< 70.1~rc-1~)
+Breaks: icu-devtools (<< 70.1~rc-1~)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -53,8 +55,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 67.1~rc-1~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 67.1~rc-1~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 70.1~rc-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 70.1~rc-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to
